﻿© 2009 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS500 (1 yr) Time Base IEEE /5520+S6
INSTRUMENT:            Sub TDS500 (1 yr) Delta Time IEEE /5520+S6
INSTRUMENT:            Sub TDS500 (1 yr) Trig Time Acc IEEE /5520+S6
INSTRUMENT:            Sub TDS500 (1 yr) Trig Level Acc IEEE /5520+S6
INSTRUMENT:            Sub TDS500 (1 yr) Probe Comp IEEE /5520+S6
DATE:                  2009-12-02 10:57:18
AUTHOR:                Fluke
REVISION:              $Revision: 2.0 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       18
NUMBER OF LINES:       460
CONFIGURATION:         Fluke 5520A (S6)
=============================================================================
#
#  Text Source:
#    $RCSfile: sub_tds500_1yr_time_base_etc_ieee_5520_s6.txt,v $
#    $Date: 2009/12/02 15:22:09 $
#
#  Procedure Author:
#        DFM, DAC, VY
#
#  Model(s) Covered:
#        TDS 500
#          TDS 520, TDS 540
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub TDS500/600/700 Select Channel IEEE
#        Sub TDS500/600/700 Channel Name
#        Sub TDS500/600/700 Check Trig Status IEEE
#
#  Required Files:
#        tdsprobe.jpg      Picture: Probe compensation Test
#        55_4ck_1.jpg      Picture: DC Volts Connection - Channel 1
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         SAMPLE_RATE                  PSUBI("Time Base")
  1.002  JMPL         DELTA_TIME                   PSUBI("Delta Time")
  1.003  JMPL         TRIGGER_TIME_ACCURACY        PSUBI("Trig Time Acc")
  1.004  JMPL         TRIGGER_LEVEL_ACCURACY       PSUBI("Trig Level Acc")
  1.005  JMPL         PROBE_COMPENSATION_SIGNAL    PSUBI("Probe Comp")
  1.006  DISP         {Undefined subprocedure!}
  1.007  END

  1.008  EVAL   Increment step number

# ******************************** Sample Rate *****************************

  2.001  LABEL        SAMPLE_RATE
  2.002  RSLT         =
  2.003  RSLT         =TIME BASE SYSTEM CHECKS
  2.004  RSLT         =
  2.005  HEAD         { SAMPLE RATE AND DELAY TIME ACCURACY}
  2.006  TARGET
  2.007  CALL         Sub TDS500/600/700 Select Channel IEEE
  2.008  IEEE2        CH[V @Chan]:SCA 500E-3
  2.009  IEEE2        HOR:MAI:SCA 1E-3
  2.010  IEEE2        CH[V @Chan]:IMP FIF;POSITION 0.0
  2.011  IEEE2        HOR:TRIG:POS 50
  2.012  IEEE2        HOR:POS 50
  2.013  IEEE2        HOR:MODE DELAYED
  2.014  MATH         DelayScale = 100E-9
  2.015  IEEE2        HOR:DEL:SEC [V DelayScale]
  2.016  IEEE2        TRIG:MAI:MODE NORM
  2.017  5520         10mT                                        M2 S6 S  L
  2.018  WAIT         -t 3 System Settling ...
  2.019  IEEE2        TRIG:MAI SETL
# PAIred Cursor function are not supported in TDS 500 series, we have to wait
# operator's answer.
  2.020  MESS         Does the rising edge of the marker cross the center
  2.020  MESS         horizontal graticule line within ±2.5 divisions of
  2.020  MESS         center graticule?
  2.021  MEM2         = Limit : ±2.5 div @ 100 ns/div, 10.0 ms delay time
  2.022  EVAL   -s MEM2 :

  3.001  MESS
  3.002  5520         *                                                 S
  3.003  END

  3.004  EVAL   Increment step number

# ******************************** Delta Time *****************************

  4.001  LABEL        DELTA_TIME
  4.002  RSLT         =
  4.003  HEAD         { CHECK DELTA TIME MEASUREMENT ACCURACY}
  4.004  TARGET       -p
  4.005  CALL         Sub TDS500/600/700 Select Channel IEEE
  4.006  IEEE2        CH[V @Chan]:SCA 500E-3
  4.007  IEEE2        CH[V @Chan]:IMP FIF;POSITION 0.0
  4.008  IEEE2        HOR:TRIG:POS 50
  4.009  IEEE2        HOR:POS 50
  4.010  IEEE2        HOR:MODE MAIN
  4.011  IEEE2        HOR:MAI:SCA 2E-9
  4.012  IEEE2        TRIG:MAI:MODE NORM
  4.013  5520         20nT                                        M2 S6 S  L
  4.014  WAIT         -t 3 System Settling ...
  4.015  IEEE2        TRIG:MAI SETL
  4.016  IEEE2        ACQ:MODE AVE;NUMAV 8
  4.017  IEEE2        MEASU:METH MINM
  4.017  IEEE2        MEASU:MEAS1:SOU CH[V @Chan];TYPE PERI;STATE ON
  4.018  TARGET       -m
  4.019  IEEE2        [D1000]MEASU:MEAS1:VAL?[I]
  4.020  MATH         MEM = MEM / 1E-9
  4.021  MEMCX        20.000nT       0.240U

  5.001  5520         *                                                 S
  5.002  END

  5.003  EVAL   Increment step number

# **************************** Trigger Time Acc ************************

  6.001  LABEL        TRIGGER_TIME_ACCURACY
  6.002  RSLT         =
  6.003  RSLT         =TRIGGER SYSTEM CHECKS
  6.004  RSLT         =
  6.005  RSLT         =TIME ACCURACY for PULSE,GLICH,TIMEOUT,WIDTH TRIGGERING
  6.006  RSLT         =
  6.007  HEAD         { Pulse-Glitch or Pulse-Width, Hor. Scale <= 1 µs}
  6.008  TARGET
  6.009  CALL         Sub TDS500/600/700 Select Channel IEEE
  6.010  IEEE2        HOR:MAI:SCA 10.0E-9
  6.011  IEEE2        CH[V @Chan]:IMP FIF;SCA 100E-3
  6.012  5520         500mVpp                      100MH          LS S6 S  L
  6.013  IEEE2        TRIG:MAI:MOD NORM;TYP PUL
  6.014  IEEE2        TRIG:MAI:PUL:SOU CH[V @Chan];CLA WID
  6.015  IEEE2        TRIG:MAI:PUL:WID:HIGHL 10E-9;LOWL 2E-9
  6.016  IEEE2        TRIG:MAI SETL

# Set Maximum checking times for Sub TDS500/600/700 Check Trig Status IEEE
  6.017  MATH         @TriggeredChkTimes = 3

  6.018  MATH         LowerLimit = 2.5E-9; UpperLimit = 7.5E-9
# Find the pulse width lower Limit setting that could make triggering lost.
  6.019  MATH         Readout = LowerLimit

  6.020  DO
  6.021  MATH         MEM2 = FMT((Readout / 1E-9), "%.1f")
  6.022  HEAD         -2 100 MHz, Lower Limit [MEM2] ns
  6.023  IEEE2        TRIG:MAI:PUL:WID:LOWL [V Readout]
  6.024  CALL         Sub TDS500/600/700 Check Trig Status IEEE

  6.025  IF           @Trigged
  6.026  MATH         Readout = Readout + 0.1E-9
  6.027  ENDIF

  6.028  UNTIL        Readout > UpperLimit || NOT(@Trigged)

  6.029  MATH         S[2] = FMT(LowerLimit / 1E-9, "%.1f") & " ns"
  6.030  MATH         S[3] = FMT(UpperLimit / 1E-9, "%.1f") & " ns"
  6.031  MATH         S[1] = FMT(Readout / 1E-9, "%.1f") & " ns"
  6.032  MEM2         = Width Lower Limit : [S2] to [S3], Result [S1]
  6.033  EVAL   -e Readout >= LowerLimit && Readout <= UpperLimit : [MEM2]

  7.001  5520         500mVpp                      100MH          LS S6 S  L
# Set the pulse width lower limit back in order to reestablish triggering
  7.002  IEEE2        TRIG:MAI:PUL:WID:LOWL 2E-9

# Find the pulse width upper Limit setting that could make triggering lost.
  7.003  MATH         Readout = UpperLimit

  7.004  DO
  7.005  MATH         MEM2 = FMT((Readout / 1E-9), "%.1f")
  7.006  HEAD         -2 100 MHz, Upper Limit [MEM2] ns
  7.007  IEEE2        TRIG:MAI:PUL:WID:HIGHL [V Readout]
  7.008  CALL         Sub TDS500/600/700 Check Trig Status IEEE

  7.009  IF           @Trigged
  7.010  MATH         Readout = Readout - 0.1E-9
  7.011  ENDIF

  7.012  UNTIL        Readout < LowerLimit || NOT(@Trigged)

  7.013  MATH         S[1] = FMT(Readout / 1E-9, "%.1f") & " ns"
  7.014  MEM2         = Width Upper Limit : [S2] to [S3], Result [S1]
  7.015  EVAL   -e Readout >= LowerLimit && Readout <= UpperLimit : [MEM2]

# Set the pulse width upper limit back in order to reestablish triggering
  8.001  IEEE2        TRIG:MAI:PUL:WID:HIGHL 10E-9

  8.002  HEAD         -2
  8.003  5520         *                                                 S

  8.004  RSLT         =
  8.005  HEAD         { Pulse-Glitch or Pulse-Width, Hor. Scale > 1 µs}
  8.006  TARGET
  8.007  IEEE2        TRIG:MAI:MOD NORM;TYP PUL
  8.008  IEEE2        TRIG:MAI:PUL:SOU CH[V @Chan];CLA WID
  8.009  IEEE2        TRIG:MAI:PUL:WID:HIGHL 4E-6;LOWL 500E-9
  8.010  IEEE2        HOR:SCA 5E-6
  8.011  5520         500mVpp                      250kH          LS S6 S  L
  8.012  WAIT         -t 2 Settling...
  8.013  IEEE2        CH[V @Chan]:SCA 20E-3
  8.014  IEEE2        TRIG:MAI SETL
  8.015  MATH         LowerLimit = 1.0E-6; UpperLimit = 3.0E-6
# Find the pulse width lower Limit setting that could make triggering lost.
  8.016  MATH         Readout = LowerLimit

  8.017  DO
  8.018  MATH         MEM2 = FMT((Readout / 1E-6), "%.2f")
  8.019  HEAD         -2 250 kHz, Lower Limit [MEM2] µs
  8.020  IEEE2        TRIG:MAI:PUL:WID:LOWL [V Readout]
  8.021  CALL         Sub TDS500/600/700 Check Trig Status IEEE

  8.022  IF           @Trigged
  8.023  MATH         Readout = Readout + 0.01E-6
  8.024  ENDIF

  8.025  UNTIL        Readout > UpperLimit || NOT(@Trigged)

  8.026  MATH         S[2] = FMT(LowerLimit / 1E-6, "%.2f") & " µs"
  8.027  MATH         S[3] = FMT(UpperLimit / 1E-6, "%.2f") & " µs"
  8.028  MATH         S[1] = FMT(Readout / 1E-6, "%.2f") & " µs"
  8.029  MEM2         = Width Lower Limit : [S2] to [S3], Result [S1]
  8.030  EVAL   -e Readout >= LowerLimit && Readout <= UpperLimit : [MEM2]

  9.001  5520         500mVpp                      250kH          LS S6 S  L
# Set the pulse width lower limit back in order to reestablish triggering
  9.002  IEEE2        TRIG:MAI:PUL:WID:LOWL 500E-9

# Find the pulse width upper Limit setting that could make triggering lost.
  9.003  MATH         Readout = UpperLimit

  9.004  DO
  9.005  MATH         MEM2 = FMT((Readout / 1E-6), "%.2f")
  9.006  HEAD         -2 250 kHz, Upper Limit [MEM2] µs
  9.007  IEEE2        TRIG:MAI:PUL:WID:HIGHL [V Readout]
  9.008  CALL         Sub TDS500/600/700 Check Trig Status IEEE

  9.009  IF           @Trigged
  9.010  MATH         Readout = Readout - 0.01E-6
  9.011  ENDIF

  9.012  UNTIL        Readout > LowerLimit || NOT(@Trigged)

  9.013  MATH         S[1] = FMT(Readout / 1E-6, "%.2f") & " µs"
  9.014  MEM2         = Width Upper Limit : [S2] to [S3], Result [S1]
  9.015  EVAL   -e Readout >= LowerLimit && Readout <= UpperLimit : [MEM2]

# Set the pulse width upper limit back in order to reestablish triggering
 10.001  IEEE2        TRIG:MAI:PUL:WID:HIGHL 4E-6

 10.002  HEAD         -2
 10.003  5520         *                                                 S
 10.004  END

 10.005  EVAL   Increment step number

# **************************** Trigger Level Acc ************************

 11.001  LABEL        TRIGGER_LEVEL_ACCURACY
 11.002  RSLT         =
 11.003  HEAD         {TRIG LEVEL OR THRESHOLD ACCURACY}
 11.004  RSLT         =
 11.005  HEAD         -2{ Main Trigger Level, DC Coupled, Positive Slope}
 11.006  TARGET       -p
 11.007  CALL         Sub TDS500/600/700 Select Channel IEEE
 11.008  IEEE2        CH[V @Chan]:SCA 200E-3;POS -3;OFFS +10.0
 11.009  IEEE2        TRIG:MAI:EDGE:SOU CH[V @Chan];SLO RISE
 11.010  5520         10.000V                                        S6 S
 11.011  WAIT         -t 2 Settling...
 11.012  TARGET       -m
 11.013  IEEE2        TRIG:MAI SETL
 11.014  IEEE2        TRIG:MAI:LEV?[I]
 11.015  MEMCX        10.000V        0.060U

 12.001  RSLT         =
 12.002  HEAD         -2{ Main Trigger Level, DC Coupled, Negative Slope}
 12.003  TARGET       -p
 12.004  IEEE2        TRIG:MAI:EDGE:SLO FALL
 12.005  5520         10.000V                                        S6 S
 12.006  WAIT         -t 2 Settling...
 12.007  IEEE2        TRIG:MAI SETL
 12.008  TARGET       -m
 12.009  IEEE2        TRIG:MAI:LEV?[I]
 12.010  MEMCX        10.000V        0.060U

 13.001  RSLT         =
 13.002  HEAD         -2{ Delayed Trigger Level, DC Coupled, Positive Slope}
 13.003  TARGET       -p
 13.004  IEEE2        HOR:MOD DELAYED
 13.005  IEEE2        HOR:DEL:MODE TRIGA;SEC 500E-6
 13.006  IEEE2        TRIG:MAI:EDGE:SLO RISE
 13.007  IEEE2        TRIG:DEL:EDGE:SLO RISE
 13.008  5520         10.000V                                        S6 S
 13.009  WAIT         -t 2 Settling...
 13.010  TARGET       -m
 13.011  IEEE2        TRIG:DEL SETL
 13.012  IEEE2        TRIG:DEL:LEV?[I]
 13.013  MEMCX        10.000V        0.060U

 14.001  RSLT         =
 14.002  HEAD         -2{ Delayed Trigger Level, DC Coupled, Negative Slope}
 14.003  TARGET       -p
 14.004  IEEE2        TRIG:MAI:EDGE:SLO FALL
 14.005  IEEE2        TRIG:DEL:EDGE:SLO FALL
 14.006  5520         10.000V                                        S6 S
 14.007  WAIT         -t 2 Settling...
 14.008  TARGET       -m
 14.009  IEEE2        TRIG:DEL SETL
 14.010  IEEE2        TRIG:DEL:LEV?[I]
 14.011  MEMCX        10.000V        0.060U

 15.001  5520         *                                                 S
 15.002  HEAD         -2
 15.003  END

 15.004  EVAL   Increment step number

# ************************** Probe Compensation *****************************

 16.001  LABEL        PROBE_COMPENSATION_SIGNAL
 16.002  RSLT         =
 16.003  HEAD         {PROBE COMPENSATION SIGNAL TEST}
 16.004  TARGET
 16.005  MATH         @Chan = 1
 16.006  CALL         Sub TDS500/600/700 Select Channel IEEE
 16.007  IEEE2        BELL[D500]BELL[D500]BELL[D500]BELL[D500]BELL
 16.008  PIC          tdsprobe.jpg
 16.009  MATH         VerticalScale = 100E-3
 16.010  IEEE2        CH[V @Chan]:SCA [V VerticalScale]
 16.011  IEEE2        CH[V @Chan]:POS -2.5;IMP MEG
 16.012  IEEE2        HOR:SCA 200E-6
 16.013  IEEE2        TRIG:MAI:MOD AUTO
 16.014  IEEE2        TRIG:MAI SETL
 16.015  WAIT         [D1000]
 16.016  IEEE2        ACQ:MODE AVE;NUMAV 128
 16.017  WAIT         [D1000]
 16.018  IEEE2        MEASU:METH MINM
# Get the high and low value of waveform, accurate shift the waveform to the
# center of the screen before saving it.
 16.019  IEEE2        MEASU:MEAS1:SOU CH[V @Chan];TYPE HIGH;STATE ON
 16.020  WAIT         [D1000]
 16.021  IEEE2        MEASU:MEAS1:VAL?[I]
 16.022  MATH         High = MEM / 1E-3

 16.023  IEEE2        MEASU:MEAS1:SOU CH[V @Chan];TYPE LOW;STATE ON
 16.024  WAIT         [D1000]
 16.025  IEEE2        MEASU:MEAS1:VAL?[I]
 16.026  MATH         Low = MEM / 1E-3

# Calculate the shift value of centering the waveform on the screen based
# the vertical division.
 16.027  MATH         L[1] = -1 * (High - Low) / 2 / (VerticalScale / 1E-3)
 16.028  IEEE2        CH[V @Chan]:POS [L1]
 16.029  WAIT         [D1000]
 16.030  IEEE2        SAVE:WAVE CH[V @Chan],REF1
 16.031  IEEE2        MEASU:MEAS1:STATE OFF
 16.032  IEEE2        BELL[D500]BELL[D500]BELL[D500]BELL[D500]BELL
 16.033  PIC          55_4ck_1.jpg
 16.034  DISP         The next routine operator intervention occurs
 16.034  DISP         in approximately 1 minutes ...
 16.035  IEEE2        ACQ:MODE AVE;NUMAV 16
 16.036  IEEE2        SELECT:REF1 ON
# Get the 100% referenced measurement of saved probe compensation signal.
 16.037  IEEE2        MEASU:MEAS1:SOU REF1;TYPE HIGH;STATE ON
 16.038  WAIT         [D1000]
 16.039  IEEE2        MEASU:MEAS1:VAL?[I]
 16.040  MATH         MEM = MEM / 1E-3

 16.041  IEEE2        MEASU:MEAS2:SOU CH[V @Chan];TYPE HIGH;STATE ON
# Set the output of the calibrator so the measurement is close to overlap
# the top (upper) level of saved waveform.
 16.042  MATH         Ref = MEM; MEM1 = MEM

 16.043  DO
 16.044  MATH         MEM = MEM1 + (Ref - MEM) / 2
# Set the output limit trap in order to avoid calculated output exceed the
# display scale of screen too much and resulted query error because of
# unstable reading.
 16.045  MATH         Trap = 6 * VerticalScale / 1E-3

 16.046  IF           MEM > Trap || MEM < (-1 * Trap)
 16.047  MATH         MEM = Ref
 16.048  ENDIF

 16.049  5520         mV                                             S6 S
 16.050  WAIT         [D2000]
 16.051  IEEE2        MEASU:MEAS2:VAL?[I]
 16.052  MATH         MEM = MEM / 1E-3
 16.053  UNTIL        MEM >= (Ref - 1) && MEM <= (Ref + 1)

# Last calibrator amplitude setting is in MEM1.
 16.054  MATH         AmpHigh = MEM1

# Get the 0% referenced measurement of saved probe compensation signal.
 16.055  IEEE2        MEASU:MEAS1:SOU REF1;TYPE LOW;STATE ON
 16.056  WAIT         [D1500]
 16.057  IEEE2        MEASU:MEAS1:VAL?[I]
 16.058  MATH         MEM = MEM / 1E-3

 16.059  5520         *                                                 S

 16.060  IEEE2        MEASU:MEAS2:SOU CH[V @Chan];TYPE LOW;STATE ON
# Set the output of the calibrator so the measurement is close to overlap
# the base (below) level of saved waveform.
 16.061  MATH         Ref = MEM; MEM1 = MEM; Times = 0

 16.062  DO
 16.063  MATH         MEM = MEM1 + (Ref - MEM) / 2

# Set the calibrator output value to minimum that it could output if the
# adjust value is below this limit.
 16.064  IF           MEM < 0.888 && MEM > -0.888
 16.065  MATH         MEM = 0
 16.066  ENDIF

 16.067  5520         mV                                             S6 S
 16.068  WAIT         [D2000]
 16.069  IEEE2        MEASU:MEAS2:VAL?[I]
 16.070  MATH         MEM = MEM / 1E-3
 16.071  MATH         Times = Times + 1
 16.072  UNTIL        MEM >= (Ref - 0.1) && MEM <= (Ref + 0.1) || Times > 10

# Last calibrator amplitude setting is in MEM1.
 16.073  MATH         AmpLow = MEM1

 16.074  MATH         MEM = AmpHigh - AmpLow
# Set significant digit of reading
 16.075  MATH         MEM = FRND(MEM, 4)
 16.076  MATH         Result = FMT(MEM, "%.1f")
 16.077  MEM2         = Limit: 495.0 <= AMPL <= 505.0 mV
 16.078  MEM2         =[MEM2], Result: [V Result] mV
 16.079  EVAL   -e MEM >= 495.0 && MEM <= 505.0 : [MEM2]

 17.001  5520         *                                                 S

 17.002  IEEE2        ACQ:MODE AVE;NUMAV 128
 17.003  IEEE2        MEASU:MEAS1:SOU REF1;TYPE FREQ;STATE ON
 17.004  WAIT         [D1000]
 17.005  IEEE2        MEASU:MEAS1:VAL?[I]
 17.006  MATH         MEM = MEM / 1E+3
 17.007  MATH         Result = FMT(MEM, "%.3f")
 17.008  MEM2         = Limit: 0.950 <= Freq <= 1.050 kHz
 17.009  MEM2         =[MEM2], Result: [V Result] kHz
 17.010  EVAL   -e MEM >= 0.950 && MEM <= 1.050 : [MEM2]

 18.001  END
