﻿© 2009 Fluke Corporation, All rights reserved               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub TDS540 (1 yr) Output Signal IEEE /5520+S6
DATE:                  2009-12-02 10:57:26
AUTHOR:                Fluke
REVISION:              $Revision: 2.0 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       11
NUMBER OF LINES:       186
CONFIGURATION:         Fluke 5520A (S6)
=============================================================================
#
#  Text Source:
#    $RCSfile: sub_tds540_1yr_output_signal_ieee_5520_s6.txt,v $
#    $Date: 2009/12/02 15:22:09 $
#
#  Procedure Author:
#        DFM, DAC, VY
#
#  Model(s) Covered:
#        TDS 500
#          TDS 540
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub TDS500/600/700 Select Channel IEEE
#        Sub TDS500/600/700 Check Trig Status IEEE
#
#  Required Files:
#        55_4ck_6.jpg      Picture: Main Trigger Out
#        55_4ck_7.jpg      Picture: Delay Trigger Out
#        55_4ck_8.jpg      Picture: Signal/Source Out Test
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  RSLT         =
  1.002  HEAD         {OUTPUT SIGNAL CHECKS}
  1.003  RSLT         =
  1.004  HEAD         -2{ Main Trigger Output, 1 MOhm Impedance}
  1.005  TARGET
  1.006  MATH         @Chan = 3
  1.007  CALL         Sub TDS500/600/700 Select Channel IEEE
  1.008  IEEE2        HOR:MAI:SCA 200.0E-6
  1.009  IEEE2        TRIG:MAI:MOD NORM;TYPE EDGE
  1.010  IEEE2        TRIG:MAI:EDGE:SOU CH3

  1.011  DO
  1.012  IEEE2        BELL[D500]BELL[D500]BELL[D500]BELL[D500]BELL
  1.013  PIC          55_4ck_6.jpg
# Note: We discovered that the manual was incorrect on the output of the
# test signal.  Instead of 0.500 Volts DC, the output should be 0.500 volts
# peak to peak square wave.  This was verified by Tektronix.
  1.014  5520         500mVpp                      1kH            SQ S6 S
  1.015  IEEE2        TRIG:MAI SETL
# Set Maximum check times for Sub TDS500/600/700 Check Trig Status IEEE.
  1.016  MATH         @TriggeredChkTimes = 3
  1.017  CALL         Sub TDS500/600/700 Check Trig Status IEEE

  1.018  IF           @Trigged == 0
  1.019  DISP         The UUT is not triggered!
  1.019  DISP         Check connections.
  1.020  ENDIF

  1.021  UNTIL        @Trigged

  1.022  IEEE2        SELECT:CH3 OFF;CH2 ON
  1.023  IEEE2        CH2:SCA 1;POS -2.0
  1.024  IEEE2        MEASU:METH MINM
  1.025  IEEE2        ACQ:MODE AVE;NUMAV 64;STATE RUN
  1.026  IEEE2        MEASU:MEAS1:SOU CH2;TYPE HIGH;STATE ON
  1.027  IEEE2        MEASU:MEAS2:SOU CH2;TYPE LOW;STATE ON
  1.028  WAIT         -t 2 Settling...
  1.029  IEEE2        [D1000]MEASU:MEAS1:VAL?[I]
  1.030  MATH         Result = FMT(MEM, "%.1f") & " V"
  1.031  MEM2         = High Trigger Output: [V Result], Limit is >= 2.5 V
  1.032  EVAL   -e MEM >= 2.5 : [MEM2]

  2.001  5520         500mVpp                      1kH            SQ S6 S
  2.002  IEEE2        [D1000]MEASU:MEAS2:VAL?[I]
  2.003  MATH         Result = FMT(MEM, "%.1f") & " V"
  2.004  MEM2         = Low Trigger Output: [V Result], Limit is <= 0.7 V
  2.005  EVAL   -e MEM <= 0.7 : [MEM2]

  3.001  RSLT         =
  3.002  HEAD         -2{ Main Trigger Output, 50 Ohm Impedance}
  3.003  TARGET
  3.004  IEEE2        CH2:IMP FIF
  3.005  5520         500mVpp                      1kH            SQ S6 S
  3.006  IEEE2        [D1000]MEASU:MEAS1:VAL?[I]
  3.007  MATH         Result = FMT(MEM, "%.1f") & " V"
  3.008  MEM2         = High Trigger Output: [V Result], Limit is >= 1.0 V
  3.009  EVAL   -e MEM >= 1.0 : [MEM2]

  4.001  5520         500mVpp                      1kH            SQ S6 S
  4.002  IEEE2        [D1000]MEASU:MEAS2:VAL?[I]
  4.003  MATH         Result = FMT(MEM, "%.1f") & " V"
  4.004  MEM2         = Low Trigger Output: [V Result], Limit is <= 0.25 V
  4.005  EVAL   -e MEM <= 0.25 : [MEM2]

  5.001  RSLT         =
  5.002  HEAD         -2{ Delayed Trigger Output, 1 MOhm Impedance}
  5.003  TARGET
  5.004  IEEE2        BELL[D500]BELL[D500]BELL[D500]BELL[D500]BELL
  5.005  PIC          55_4ck_7.jpg
  5.006  IEEE2        CH2:IMP MEG
  5.007  5520         500mVpp                      1kH            SQ S6 S
  5.008  IEEE2        [D1000]MEASU:MEAS1:VAL?[I]
  5.009  MATH         Result = FMT(MEM, "%.1f") & " V"
  5.010  MEM2         = High Trigger Output: [V Result], Limit is >= 2.5 V
  5.011  EVAL   -e MEM >= 2.5 : [MEM2]

  6.001  5520         500mVpp                      1kH            SQ S6 S
  6.002  IEEE2        [D1000]MEASU:MEAS2:VAL?[I]
  6.003  MATH         Result = FMT(MEM, "%.1f") & " V"
  6.004  MEM2         = Low Trigger Output: [V Result], Limit is <= 0.7 V
  6.005  EVAL   -e MEM <= 0.7 : [MEM2]

  7.001  RSLT         =
  7.002  HEAD         -2{ Delayed Trigger Output, 50 Ohm Impedance}
  7.003  TARGET
  7.004  IEEE2        CH2:IMP FIF
  7.005  5520         500mVpp                      1kH            SQ S6 S
  7.006  IEEE2        [D1000]MEASU:MEAS1:VAL?[I]
  7.007  MATH         Result = FMT(MEM, "%.1f") & " V"
  7.008  MEM2         = High Trigger Output: [V Result], Limit is >= 1.0 V
  7.009  EVAL   -e MEM >= 1.0 : [MEM2]

  8.001  IEEE2        MEASU:IMMED:TYPE LOW
  8.002  5520         500mVpp                      1kH            SQ S6 S
  8.003  IEEE2        [D1000]MEASU:MEAS2:VAL?[I]
  8.004  MATH         Result = FMT(MEM, "%.1f") & " V"
  8.005  MEM2         = Low Trigger Output: [V Result], Limit is <= 0.25 V
  8.006  EVAL   -e MEM <= 0.25 : [MEM2]
  9.001  IEEE2        MEASU:MEAS1:STATE OFF
  9.002  IEEE2        MEASU:MEAS2:STATE OFF

  9.003  RSLT         =
  9.004  HEAD         -2{ Signal Output, 1 MOhm Impedance}
  9.005  TARGET
  9.006  IEEE2        BELL[D500]BELL[D500]BELL[D500]BELL[D500]BELL
  9.007  PIC          55_4ck_8.jpg
  9.008  IEEE2        CH2:SCA 100E-3;POS 0.0;IMP MEG
  9.009  IEEE2        TRIG:MAI:EDGE:SOU CH3
  9.010  IEEE2        MEASU:MEAS1:SOU CH2;TYPE PK2P;STATE ON
  9.011  5520         500mVpp                      1kH            SQ S6 S
  9.012  IEEE2        TRIG:MAI SETL
  9.013  IEEE2        [D1000]MEASU:MEAS1:VAL?[I]
  9.014  MATH         MEM = MEM / 1E-3
  9.015  MATH         Result = FMT(MEM, "%.0f") & " mV"
  9.016  MEM2         = Signal Output: [V Result], Bounds: 90 mV to 110 mV
  9.017  EVAL   -e (MEM >= 90) && (MEM <= 110) : [MEM2]

 10.001  RSLT         =
 10.002  HEAD         -2{ Signal Output, 50 Ohm Impedance}
 10.003  TARGET
 10.004  IEEE2        CH2:IMP FIF
 10.005  5520         500mVpp                      1kH            SQ S6 S
 10.006  IEEE2        TRIG:MAI SETL
 10.007  IEEE2        [D1000]MEASU:MEAS1:VAL?[I]
 10.008  MATH         MEM = MEM / 1E-3
 10.009  MATH         Result = FMT(MEM, "%.0f") & " mV"
 10.010  MEM2         = Signal Output: [V Result], Bounds: 45 mV to 55 mV
 10.011  EVAL   -e (MEM >= 45) && (MEM <= 55) : [MEM2]

 11.001  5520         *                                                 S
 11.002  HEAD         -2
 11.003  END

